DeLi(cate) Forum

Full Version: Skipstone themes
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
I guess the most used browser with Delicate is Skipstone. The original site is outdated so a lot of the links to themes are dead, that's a pity if you don't like the yellow buttons ;]
Well there are 2 options left:

(1) Stick with the old theme
(2) Created a theme yourself
I choose for the last option..

Skipstone themes are stored in: usr/share/skipstone/pixmaps
Standard you can only find 'Default' overthere.
With a quick look you'll see a couple of .png icons which are 24x24 pixels.
When your planning to make a theme, the minimal icons you have to created are 5, the rest can be copied from the 'Default' directory.

When you suck by drawing your own icons (like I do).
Well you could rip themes from other browsers :]
I found a theme for icecat, it was an .xpi file, but Midnight Commander didn't mind and unpacked it.
The same goes for the jar file inside it. In the 'browser' directory there were the icons I needed. There is a small issue, the png files contains 4 icons (different colour depths), so you'll have to cut it out with MTpaint and paste it on the clipboard. That's very easy to do. Save and be sure they have the same names like the Skipstone default icons has. When your finished put the directory with the new icons in the /usr/share/skipstone/pixmaps and start Skipstone.
Go to settings -> themes and you'll can select the new theme :]
It's sounds like a lot of work but it isn't... perhaps 10 minutes or so.

I've included the example. I hope you like it


[attachment=66]
we could create several theme packages for skipstone .... it's better than making users unpacking any tar files somewhere in the /usr/share :]
(01-01-2012 05:02 PM)tavvva Wrote: [ -> ]we could create several theme packages for skipstone .... it's better than making users unpacking any tar files somewhere in the /usr/share :]

That's true, and more user-friendly.
Sometimes I do forget things which aren't recommended for normal users.
In cases as this, they can read it but if they're not experienced enough they shouldn't touch it.
If they do like it, I can make a PKGBUILD for it.
I've create another one. Just to be sure that firefox-themes are useful too Tongue
This one is based on Noia2 theme for firefox, it contains more blue so * I think* it suits with the standard Delicate linux look Smile
I'm not gonna publish it as is, but make a PKGBUILD for it as soon as I find a freehosting service who don't delete files after 30 days or so. This is how it looks right now.
Most servers don't like 'hotlinking' Sad
So it's impossible to create a PKGBUILD file.
With that in mind, there where 2 options left:
(1) forget about it.
(2) or place it here, with a warning
I thought the last option was the best, perhaps it finds it's way in a decent PKGBUILD.
[b]The warning:[b] Please be very sure what you're doing, when you install this you'll have to be in the root modus and you can easily messed up your system!

The the itselves contains more blue icons and I *think* it fits better with the standard 'blueish' Delicate Smile
If it has a free license, we can create a package from that. Upstream links do not necessarilly need to work.
(02-28-2012 06:55 PM)tavvva Wrote: [ -> ]If it has a free license, we can create a package from that. Upstream links do not necessarilly need to work.

It's GNU General Public License, version 3.0
The original package can be found at: https://addons.mozilla.org/nl/firefox/ad...0-extreme/
Reference URL's